/* =========================================================================

NAME: Courvimeter

AUTHOR: Oleg Butrin (obutrin@indesign.rudtp.ru)
HOMEPAGE: http://indesign.rudtp.ru
DATE  : 14.01.2004 16:44

COMMENT:
Script convert text objects to courvies

RIGHT:
You have the right to use and distribute this script.
You have the right to modify this script for own needs. 
It is desirable to send the variant to the author of a script.
You have no right to distribute the modified script from author's name.
You have no right to have profit from sale of a script.

The author of a script does not sustain the responsibility in all cases of loss data and other kinds of losses if they have arisen in the time of using a script.
You use this script at your own fear and risk.

============================================================================ */
//Change myIni... variables to change options
var myIniScriptVersion = "1.0";
//Show dialog
var myIniShowDialog = true;
//delete original textframe
var myIniDeleteOriginal = true;
//if dialog is disable, this variables uses to select options
var myIniConvertDoc  = true;
var myIniConvertAllDocs = false;
//Select interface ("ru" or "en");
var myIniLanguage = "ru";

switch (myIniLanguage) {
	case "en":
		//English interface
		var myLangNoDocs = "No documents open!"
		var myLangSelectOptions = "Select convert options:";
		var myLangDoc = "Document"
		var myLangAllDocs = "All documents"
	case "ru":
		//Russian interface
		var myLangNoDocs = "  !"
		var myLangSelectOptions = " :";
		var myLangDoc = " "
		var myLangAllDocs = "  "
	}

with (app) {
	if (documents.length<1) {
		alert(myLangNoDocs);
		exit();
	}
	if (myIniShowDialog) {
		var myDialog = dialogs.add({name:("Courvimeter " + myIniScriptVersion)});
		with (myDialog.dialogColumns.add()) {
			staticTexts.add({staticLabel:myLangSelectOptions})
			var myOptionSelect = radiobuttonGroups.add();
			with (myOptionSelect) {
				radiobuttonControls.add({staticLabel:myLangDoc, checkedState:myIniConvertDoc})
				radiobuttonControls.add({staticLabel:myLangAllDocs, checkedState:myIniConvertAllDocs})
			}
		}
		var myResult = myDialog.show();
		if (myResult) {
			if (myOptionSelect.selectedButton==0) {
				var myTextFrames = activeDocument.textFrames;
				for (myCounter=0; myCounter<myTextFrames.length; myCounter++) {
					for (myTCounter=0; myTCounter<myTextFrames[myCounter].texts.length; myTCounter++) {
						myTextFrames[myCounter].texts[myTCounter].createOutlines(myIniDeleteOriginal);
					}
				}
			}
			if (myOptionSelect.selectedButton==1) {
				for (myDCounter = 0; myDCounter<documents.length; myDCounter++) {
					var myTextFrames = documents[myDCounter].textFrames;
					for (myCounter=0; myCounter<myTextFrames.length; myCounter++) {
						for (myTCounter=0; myTCounter<myTextFrames[myCounter].texts.length; myTCounter++) {
							myTextFrames[myCounter].texts[myTCounter].createOutlines(myIniDeleteOriginal);
						}
					}
				}
			}

		}
		else {
			myDialog.destroy();
			exit();
		}
	}
	else {
		if (myIniConvertDoc) {
			var myTextFrames = activeDocument.textFrames;
			for (myCounter=0; myCounter<myTextFrames.length; myCounter++) {
				for (myTCounter=0; myTCounter<myTextFrames[myCounter].texts.length; myTCounter++) {
					myTextFrames[myCounter].texts[myTCounter].createOutlines(myIniDeleteOriginal);
				}

			}
		}
		if (myIniConvertAllDocs) {
			for (myDCounter = 0; myDCounter<documents.length; myDCounter++) {
				var myTextFrames = documents[myDCounter].textFrames;
				for (myCounter=0; myCounter<myTextFrames.length; myCounter++) {
					for (myTCounter=0; myTCounter<myTextFrames[myCounter].texts.length; myTCounter++) {
						myTextFrames[myCounter].texts[myTCounter].createOutlines(myIniDeleteOriginal);
					}

				}
			}
		}
		
	}
	exit();	
}